#include "Render.h"
#include "DeerRender/Render/RenderCommand.h"
#include "DeerRender/Render/VertexArray.h"
#include "DeerRender/Render/RenderAPI.h"

namespace Deer {
	void Render::initExecution() {

	}

	void Render::endExecution() {

	}

	void Render::submit(VertexArray& vertexArray) {
		vertexArray.bind();
		RenderCommand::drawIndex(vertexArray);
	}

	void Render::submitLine(VertexArray& vertexArray) {
		vertexArray.bind();
		RenderCommand::drawLines(vertexArray);
	}

}
